Subject: Re: [PATCH] rebase -i: remove CHERRY_PICK_HEAD when cherry-pick failed

From: Andrew Wong <[email-masked]>
Date: Mon, 02 Apr 2012 18:38:49 -0400

On 03/24/2012 04:03 PM, Andrew Wong wrote:
> On 12-03-19 5:00 PM, Andrew Wong wrote:
>> On 03/19/2012 12:51 PM, Junio C Hamano wrote:
>>> Isn't the real solution *not* to create the CHERRY_PICK_HEAD in the
>>> sequencer when it is not know if it is needed, instead of the
>>> current code
>>> which seems to create first and then selectively try to unlink() it?
>>>
>> Though if the additional flag in "cherry-pick" and additional option in
>> sequencer could be useful elsewhere, I could do it that way too.
> I looked into adding a "no-state" flag in 'cherry-pick' to not create
> the CHERRY_PICK_HEAD, but 'commit' actually has several dependencies
> on CHERRY_PICK_HEAD, such as recording reflog message,
> 'prepare-commit-msg' hook, and formatting a user message. So if we
> want to continue to pursue this path, we'd have to preserve those
> behaviors in 'commit' as well. It's probably not a good idea to make
> all these changes in  'cherry-pick' and 'commit' just to avoid a
> simple cleanup in 'rebase -i'. So I still prefer the patch I submitted
> earlier.
Can we look into queuing this patch? Or does anyone have any thoughts on
this?